#!/bin/bash

# $1 - home|work
# $2 - forward|reverse|empty (empty - do not sort)

dir="$1"
srt="$2"
((max=8))
((delay=15))
CMD='/root/bin/rsync-one.bash'

if [[ 'reverse' == "${srt}" ]]
 then 
   SORT=' sort -u -r | '
 else
   if [[ 'forward' == "${srt}" ]]
    then
      SORT=' sort -u | '
    else
      SORT=' '
    fi
 fi

cat /root/bin/${dir}.txt | while read line 
 do
   cur=$(ps -ef | grep '[r]sync ' | wc -l)
   while ((cur > max))
    do
      sleep ${delay}
      cur=$(ps -ef | grep '[r]sync ' | wc -l)
    done
   ${CMD} ${dir} ${line} &
 done
